re-negotiation handshake failed: Not accepted by client!?

rolapp

Fan vom SSF
Ich möchte gern ein Verzeichnis mit einem Clientzertifikat absichern und bekomme die Fehlermeldung.

Auszug aus der vhost.conf
Code:
  SSLVerifyClient none
    SSLVerifyDepth 5
    SSLOptions +StdEnvVars +ExportCertData

<Location /login>
    SSLVerifyClient require
    SSLVerifyDepth 5
    SSLOptions +StdEnvVars +ExportCertData
    
</Location>
Die Konfiguration hat unter Ubuntu mit Apache 2.4 funktioniert.
Unter Debian 8 Apache 2.4 bekomme ich diese Fehlermeldung.

Habe ich vielleicht ein Modul nicht aktiviert ?
 

rolapp

Fan vom SSF
Ich habe es jetzt hin bekommen. Der Eintrag LogLevel debug ind der vhost.conf hat mir weitergeholfen.
folgender Eintrag in der vhost.conf hat gefehlt
Code:
 SSLCACertificateFile  /pathto/ssl/ca.crt
Das ca.crt File muss das Zertifikat für Client-CA und Intermediate-Client-Ca enthalten

Es ging unter Ubuntu 14.04 mit Apache 2.4.7 weil die Direktive SSLCertificateChainFile Directive vorhanden war.

SSLCertificateChainFile is deprecated

SSLCertificateChainFile became obsolete with version 2.4.8, when SSLCertificateFile was extended to also load intermediate CA certificates from the server certificate file.
Deshalb funktionierte meine Konfiguration unter Ubuntu 14.04 Apache 2.4.7 noch und unter Debian 8 mit Apache 2.4.10 nicht mehr.

Trotzdem Danke für die Hilfe
 
Top